Changes between Version 69 and Version 70 of CompilationGuide/Ubuntu


Ignore:
Timestamp:
May 25, 2013, 4:29:20 AM (6 years ago)
Author:
llogan
Comment:

remove libfaac. use libfdk_aac instead.

Legend:

Unmodified
Added
Removed
Modified
  • CompilationGuide/Ubuntu

    v69 v70  
    2121{{{
    2222sudo apt-get update
    23 sudo apt-get -y install autoconf automake build-essential git libass-dev libfaac-dev libgpac-dev \
    24   libmp3lame-dev libopus-dev libsdl1.2-dev libtheora-dev libtool libva-dev libvdpau-dev \
    25   libvorbis-dev libvpx-dev libx11-dev libxext-dev libxfixes-dev pkg-config texi2html yasm zlib1g-dev
     23sudo apt-get -y install autoconf automake build-essential git libass-dev libgpac-dev libmp3lame-dev \
     24  libopus-dev libsdl1.2-dev libtheora-dev libtool libva-dev libvdpau-dev libvorbis-dev libvpx-dev \
     25  libx11-dev libxext-dev libxfixes-dev pkg-config texi2html yasm zlib1g-dev
    2626}}}
    2727
     
    2929{{{
    3030sudo apt-get update
    31 sudo apt-get -y install autoconf automake build-essential git libass-dev libfaac-dev libgpac-dev \
    32   libmp3lame-dev libopus-dev libtheora-dev libtool libvorbis-dev libvpx-dev pkg-config texi2html \
    33   yasm zlib1g-dev
     31sudo apt-get -y install autoconf automake build-essential git libass-dev libgpac-dev libmp3lame-dev \
     32  libopus-dev libtheora-dev libtool libvorbis-dev libvpx-dev pkg-config texi2html yasm zlib1g-dev
    3433}}}
    35 
    36   '''Note:''' The ''multiverse'' repository must be enabled in order to install the `libfaac-dev` package. See [https://help.ubuntu.com/community/Repositories/Ubuntu#Adding_Repositories_in_Ubuntu more details on adding repositories].
    3734
    3835----
     
    8683./configure --prefix="$HOME/ffmpeg_build" --extra-cflags="-I$HOME/ffmpeg_build/include" \
    8784  --extra-ldflags="-L$HOME/ffmpeg_build/lib" --bindir="$HOME/bin" --extra-libs="-ldl" --enable-gpl \
    88   --enable-libass --enable-libfaac --enable-libfdk-aac --enable-libmp3lame --enable-libopus \
    89   --enable-libtheora --enable-libvorbis --enable-libvpx --enable-libx264 --enable-nonfree --enable-x11grab && \
     85  --enable-libass --enable-libfdk-aac --enable-libmp3lame --enable-libopus --enable-libtheora \
     86  --enable-libvorbis --enable-libvpx --enable-libx264 --enable-nonfree --enable-x11grab && \
    9087make && \
    9188make install && \
     
    120117rm -rf ~/ffmpeg_builds ~/bin/{ffmpeg,ffplay,ffprobe,ffserver,x264}
    121118sudo apt-get update
    122 sudo apt-get -y install autoconf automake build-essential git libass-dev libfaac-dev libgpac-dev \
    123   libmp3lame-dev libopus-dev libsdl1.2-dev libtheora-dev libtool libva-dev libvdpau-dev \
    124   libvorbis-dev libvpx-dev libx11-dev libxext-dev libxfixes-dev pkg-config texi2html yasm zlib1g-dev
     119sudo apt-get -y install autoconf automake build-essential git libass-dev libgpac-dev libmp3lame-dev \
     120  libopus-dev libsdl1.2-dev libtheora-dev libtool libva-dev libvdpau-dev libvorbis-dev libvpx-dev \
     121  libx11-dev libxext-dev libxfixes-dev pkg-config texi2html yasm zlib1g-dev
    125122}}}
    126123
     
    161158{{{
    162159rm -rf ~/ffmpeg_builds ~/ffmpeg_sources ~/bin/{ffmpeg,ffplay,ffprobe,ffserver,x264}
    163 sudo apt-get autoremove autoconf automake build-essential git libass-dev libfaac-dev libgpac-dev \
     160sudo apt-get autoremove autoconf automake build-essential git libass-dev libgpac-dev \
    164161  libmp3lame-dev libopus-dev libsdl1.2-dev libtheora-dev libtool libva-dev libvdpau-dev \
    165162  libvorbis-dev libvpx-dev libx11-dev libxext-dev libxfixes-dev texi2html yasm zlib1g-dev